#include "stdafx.h"
#include <jni.h>
#include "PageBoxLib_WindowsUsageProbe.h"
#include <stdio.h>
#include <windows.h>
#include "GetCpuUsage.h"
/**
 * <p>JNI implementation of WindowsUsageProbe. Calls GetCpuUsage.</p>
 * <p>alexis.grandemange@pagebox.net</p>
 * <p>Copyright (c) 2002-2004 Alexis Grandemange</p>
 * <pre>This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public License
 * as published by the Free Software Foundation; version 2.1 of the
 * License.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU Lesser General Public License for more details.
 * A copy of the GNU Lesser General Public License lesser.txt should be
 * included in the distribution.</pre>
 * @author  Alexis Grandemange
 * @version 0, 0, 13
 */
JNIEXPORT jint JNICALL Java_PageBoxLib_WindowsUsageProbe_getCPU(JNIEnv *env, jobject obj) {
	return (jint)GetCpuUsage();
}